package cn.superdesk.uniorder.dao.mapper.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysInvoice;
import cn.superdesk.uniorder.dto.vo.inv.ViewBackAccountManage;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceDetailsHead;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceDetailsList;
import cn.superdesk.uniorder.dto.vo.inv.ViewInvoiceManage;

import java.util.List;
import java.util.Map;


public interface SysInvoiceMapper {

	int deleteByPrimaryKey(Long id);

	int insert(SysInvoice record);

	int insertSelective(SysInvoice record);

	SysInvoice selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(SysInvoice record);

	int updateByPrimaryKey(SysInvoice record);

	List<SysInvoice> findAll(Map<String, Object> params);

	List<ViewInvoiceManage> findInvoiceManageViewPage(Map<String, Object> queryMap);

	List<ViewBackAccountManage> getBackAccountManageData(Map<String, Object> queryMap);

	List<ViewBackAccountManage> getBackAccountDataRegisterData(Map<String, Object> params);

	List<ViewInvoiceDetailsList> findInvoiceDetailsList(Map<String, Object> queryMap);

	List<ViewInvoiceDetailsHead> getInvoiceDetailByInvoiceId(Map<String, Object> queryMap);
}